<script lang="ts">
  export let state: GameState;

  $: playerCount = state.players.length;
</script>

<section class="panel border">
  <h2>Goal</h2>
  <p>Earn as much money as possible by buying and then selling houses.</p>
  <p>The game is divided into two separate phases: buying and selling.</p>
  <h2>Buying phase</h2>
  <p>
    There are <strong>30</strong> different houses for sale, numbered 1 through 30.
  </p>
  {#if playerCount === 3}
    <p>
      <em>
        For the 3 player game, 6 random house cards have been removed from the
        game.
      </em>
    </p>
  {:else if playerCount === 4}
    <p>
      <em>
        For the 4 player game, 2 random house cards have been removed from the
        game.
      </em>
    </p>
  {/if}

  <p>Every round 1 house card per player is put up for sale.</p>

  <h3>On your turn</h3>
  <p>
    You must either place a bid for the highest numbered house card, or buy the
    lowest numbered card outright.
  </p>
  <p>
    If you choose to buy the lowest card, you must pay half of your current bid
    (rounded down to the nearest $1,000). This means, if you haven't yet placed
    a bid, you get the lowest numbered house for free!
  </p>
  <p>
    Each player buys 1 (and only 1) house each round. The last remaining player
    gets the highest value card, but they must pay their full bid.
  </p>
  <h3>End of the round</h3>
  <p>Whoever bought the highest value card begins the next round.</p>
  <p>
    When the house card deck is empty, and all the houses have been purchased,
    the selling phase begins.
  </p>

  <h2>Selling phase</h2>
  <p>
    There are <strong>30</strong> money cards: two $0 cards, and two of each thousand
    from $2,000 through $15,000.
  </p>
  {#if playerCount === 3}
    <p>
      <em>
        For the 3 player game, 6 random money cards have been removed from the
        game.
      </em>
    </p>
  {:else if playerCount === 4}
    <p>
      <em>
        For the 4 player game, 2 random money cards have been removed from the
        game.
      </em>
    </p>
  {/if}
  <p>
    Every round 1 money card per player is drawn, each representing a buyer for
    one of your houses.
  </p>
  <p>
    Every player must select one of their houses to sell. The selected houses
    are revealed simultaneously.
  </p>
  <p>
    The money cards are distributed based on the revealed house card numbers.
    The lowest number house gets the lowest value money card, and so on.
  </p>

  <h2>End of the game</h2>

  <p>The game is over when the players have sold all their houses.</p>
  <h3>Scoring</h3>
  <p>
    Each player's money cards, and any remaining cash they may have kept from
    the buying phase, is totaled up. Whoever has the most money is the winner!
  </p>
  <p>In case of a tie, the winner is the player with the most unspent cash.</p>
</section>

<style>
  section {
    height: 100%;
    overflow-y: auto;
    font-size: 85%;
    background-color: linen;
  }

  h2 {
    font-size: 133%;
  }

  h2,
  h3 {
    font-weight: 500;
    margin-top: 1em;
    margin-bottom: 0.33em;
  }
  p {
    margin: 0.5em 0;
  }

  section > *:first-child {
    margin-top: 0;
  }
  section > *:last-child {
    margin-bottom: 0;
  }
</style>
